► |  | How to Design Programs Teachpacks

1 | Ht DP Teachpacks
2 | Ht DP/ 2e Teachpacks

▼ | 2 | Ht DP/ 2e Teachpacks

2.1 | Batch Input/ Output: "batch-io.rkt"
2.2 | Image Guide
2.3 | Images: "image.rkt"
2.4 | Worlds and the Universe: "universe.rkt"
2.5 | Planet Cute Images
2.6 | Porting World Programs to Universe

► | 2.5 | Planet Cute Images

2.5.1 | Characters
2.5.2 | Blocks
2.5.3 | Items
2.5.4 | Ramps
2.5.5 | Buildings
2.5.6 | Shadows

On this page:

2.5.1`` Characters
character-boy
character-cat-girl
character-horn-girl
character-pink-girl
character-princess-girl
enemy-bug
speech-bubble
2.5.2`` Blocks
brown-block
dirt-block
grass-block
plain-block
stone-block-tall
stone-block
wall-block-tall
wall-block
water-block
wood-block
2.5.3`` Items
chest-closed
chest-lid
chest-open
gem-blue
gem-green
gem-orange
heart
key
rock
selector
tree-short
tree-tall
tree-ugly
yellow-star
2.5.4`` Ramps
ramp-east
ramp-north
ramp-south
ramp-west
2.5.5`` Buildings
door-tall-closed
door-tall-open
roof-east
roof-north-east
roof-north-west
roof-north
roof-south-east
roof-south-west
roof-south
roof-west
window-tall
2.5.6`` Shadows
shadow-east
shadow-north-east
shadow-north-west
shadow-north
shadow-side-west
shadow-south-east
shadow-south-west
shadow-south
shadow-west

top ← prev up next →

#### 2.5`` Planet Cute Images

(require 2htdp/planetcute)

The 2htdp/planetcute library contains the Planet Cute art by Daniel Cook (Lostgarden.com).

The images are designed to be overlaid with each other to build scenes for use in games. Here is an example image taken from the Planet Cute website.

> ; stacks its arguments on each
> ; other, separated by 40 pixels
> (define (stack arg . args)
> (cond
> [(null? args) arg]
> [else (overlay/xy arg 0 40
> (apply stack args))]))

> > (beside/align
> "bottom"
> (stack wall-block-tall stone-block)
> (stack character-cat-girl
> stone-block stone-block
> stone-block stone-block)
> water-block
> (stack grass-block dirt-block)
> (stack grass-block dirt-block dirt-block))

The Planet Cute images also include some shadows that can improve the look of your game; see the Shadows section for an overview of how to use them.

##### 2.5.1`` Characters

> > value

> > character-boy : image?

> > value

> > character-cat-girl : image?

> > value

> > character-horn-girl : image?

> > value

> > character-pink-girl : image?

> > value

> > character-princess-girl : image?

> > value

> > enemy-bug : image?

> > value

> > speech-bubble : image?

##### 2.5.2`` Blocks

> > value

> > brown-block : image?

> > value

> > dirt-block : image?

> > value

> > grass-block : image?

> > value

> > plain-block : image?

> > value

> > stone-block-tall : image?

> > value

> > stone-block : image?

> > value

> > wall-block-tall : image?

> > value

> > wall-block : image?

> > value

> > water-block : image?

> > value

> > wood-block : image?

##### 2.5.3`` Items

> > value

> > chest-closed : image?

> > value

> > chest-lid : image?

> > value

> > chest-open : image?

> > value

> > gem-blue : image?

> > value

> > gem-green : image?

> > value

> > gem-orange : image?

> > value

> > heart : image?

> > value

> > key : image?

> > value

> > rock : image?

> > value

> > selector : image?

> > value

> > tree-short : image?

> > value

> > tree-tall : image?

> > value

> > tree-ugly : image?

> > value

> > yellow-star : image?

##### 2.5.4`` Ramps

> > value

> > ramp-east : image?

> > value

> > ramp-north : image?

> > value

> > ramp-south : image?

> > value

> > ramp-west : image?

##### 2.5.5`` Buildings

> > value

> > door-tall-closed : image?

> > value

> > door-tall-open : image?

> > value

> > roof-east : image?

> > value

> > roof-north-east : image?

> > value

> > roof-north-west : image?

> > value

> > roof-north : image?

> > value

> > roof-south-east : image?

> > value

> > roof-south-west : image?

> > value

> > roof-south : image?

> > value

> > roof-west : image?

> > value

> > window-tall : image?

##### 2.5.6`` Shadows

The shadow images are intended to be overlaid on the other blocks when they appear in certain configurations, as detailed here.

> > value

> > shadow-east : image?

> > value

> > shadow-north-east : image?

> > value

> > shadow-north-west : image?

> > value

> > shadow-north : image?

> > value

> > shadow-side-west : image?

> > value

> > shadow-south-east : image?

> > value

> > shadow-south-west : image?

> > value

> > shadow-south : image?

> > value

> > shadow-west : image?

top ← prev up next →